/ api / name / gb.unrefkeep
GB.UnRefKeep
Syntax

    void GB.UnRefKeep ( void **object )

Decrements the reference counter of an object. If the reference counter becomes nil, the object is NOT freed.

- object must receive the address of a variable containing a pointer at the object.

You must use this function each time you finish keeping an object reference and so must release it, but without freeing it.

If the reference counter is nil, a subsequent call to GB.Unref will free it anyway.

### See also

Object Management